Bug 1045736 - [abrt] parole: parole_player_recent_menu_item_activated_cb(): parole killed by SIGABRT
Summary: [abrt] parole: parole_player_recent_menu_item_activated_cb(): parole killed b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: parole
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b89b8bfd3d06bf41fcb53e36852...
: 1190897 1210048 1219289 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-21 16:08 UTC by Shawn Hendershot
Modified: 2016-07-19 10:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:48:56 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (34.75 KB, text/plain)
2013-12-21 16:08 UTC, Shawn Hendershot
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-21 16:08 UTC, Shawn Hendershot
no flags Details
File: core_backtrace (19.10 KB, text/plain)
2013-12-21 16:08 UTC, Shawn Hendershot
no flags Details
File: dso_list (12.21 KB, text/plain)
2013-12-21 16:08 UTC, Shawn Hendershot
no flags Details
File: environ (1.59 KB, text/plain)
2013-12-21 16:08 UTC, Shawn Hendershot
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-21 16:08 UTC, Shawn Hendershot
no flags Details
File: maps (66.96 KB, text/plain)
2013-12-21 16:08 UTC, Shawn Hendershot
no flags Details
File: open_fds (837 bytes, text/plain)
2013-12-21 16:08 UTC, Shawn Hendershot
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-12-21 16:08 UTC, Shawn Hendershot
no flags Details
File: var_log_messages (204 bytes, text/plain)
2013-12-21 16:08 UTC, Shawn Hendershot
no flags Details

Description Shawn Hendershot 2013-12-21 16:08:02 UTC
Description of problem:
1.) Loaded one file in parole
2.) Went to Media>>Open Recent to open a different file.

Version-Release number of selected component:
parole-0.5.2-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        parole /run/media/biafra/80A485B5A485ADEA/Users/Biafra/PowerOff_TMUS.ogg
crash_function: parole_player_recent_menu_item_activated_cb
executable:     /usr/bin/parole
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 parole_player_recent_menu_item_activated_cb at parole-player.c:1171
 #14 gtk_widget_activate at gtkwidget.c:5048
 #15 gtk_menu_shell_activate_item at gtkmenushell.c:1303
 #16 gtk_menu_shell_button_release at gtkmenushell.c:730
 #17 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #22 gtk_widget_event_internal at gtkwidget.c:5017
 #23 gtk_widget_event at gtkwidget.c:4814
 #24 gtk_propagate_event at gtkmain.c:2490
 #25 gtk_main_do_event at gtkmain.c:1685
 #31 gtk_main at gtkmain.c:1257

Comment 1 Shawn Hendershot 2013-12-21 16:08:13 UTC
Created attachment 840057 [details]
File: backtrace

Comment 2 Shawn Hendershot 2013-12-21 16:08:15 UTC
Created attachment 840058 [details]
File: cgroup

Comment 3 Shawn Hendershot 2013-12-21 16:08:17 UTC
Created attachment 840059 [details]
File: core_backtrace

Comment 4 Shawn Hendershot 2013-12-21 16:08:19 UTC
Created attachment 840060 [details]
File: dso_list

Comment 5 Shawn Hendershot 2013-12-21 16:08:22 UTC
Created attachment 840061 [details]
File: environ

Comment 6 Shawn Hendershot 2013-12-21 16:08:28 UTC
Created attachment 840062 [details]
File: limits

Comment 7 Shawn Hendershot 2013-12-21 16:08:37 UTC
Created attachment 840063 [details]
File: maps

Comment 8 Shawn Hendershot 2013-12-21 16:08:42 UTC
Created attachment 840064 [details]
File: open_fds

Comment 9 Shawn Hendershot 2013-12-21 16:08:45 UTC
Created attachment 840065 [details]
File: proc_pid_status

Comment 10 Shawn Hendershot 2013-12-21 16:08:49 UTC
Created attachment 840066 [details]
File: var_log_messages

Comment 11 Kevin Fenzi 2013-12-21 17:00:10 UTC
Can you see if you can duplicate the crash with the latest version?

https://admin.fedoraproject.org/updates/parole-0.5.4-1.fc20

(it's not in updates-testing yet, but should be later today... then just 'yum --enablerepo=updates-testing update parole' should get it. Or you can get it now from the above update link)

Comment 12 Shawn Hendershot 2013-12-22 11:21:31 UTC
Yes, I can duplicate the crash with the latest version of parole.

Comment 13 Fedora End Of Life 2015-05-29 10:05:37 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Christoph Wickert 2015-07-01 13:26:11 UTC
*** Bug 1190897 has been marked as a duplicate of this bug. ***

Comment 15 Christoph Wickert 2015-07-01 13:26:16 UTC
*** Bug 1210048 has been marked as a duplicate of this bug. ***

Comment 16 Christoph Wickert 2015-07-01 13:26:24 UTC
*** Bug 1219289 has been marked as a duplicate of this bug. ***

Comment 17 Fedora End Of Life 2015-11-04 15:29:13 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2016-07-19 10:48:56 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.